Skip to main content
PUT
/
v1
/
irrf-commands
/
{id}
Update an IRRF command (e.g. re-learn)
curl --request PUT \
  --url http://0.0.0.0:3000/v1/irrf-commands/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "code": "0000 006C updated...",
  "command_name": "power"
}
'
{
  "id": 1,
  "entity_registry_id": 5,
  "config_entry_id": 2,
  "command_name": "power",
  "code": "0000 006C 0022 0002...",
  "remote_entity_id": "remote.ir_blaster",
  "user_id": "user_abc123"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
integer
required

ID numérico do comando

Body

application/json
code
string

Novo código IR

command_name
string

Novo nome do comando

remote_entity_id
string

Novo blaster IR

Response

Command updated

id
integer
entity_registry_id
integer
config_entry_id
integer
command_name
string
code
string
remote_entity_id
string
user_id
string